JBoss API: Class J2eeApplicationMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class J2eeApplicationMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.deployment.J2eeApplicationMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class J2eeApplicationMetaData
extends MetaData

Version:
  $Revision: 1.2.6.1 $
Author:
  ()
See Also:

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`J2eeApplicationMetaData(org.w3c.dom.Element rootElement)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getLargeIcon()`
`java.util.Iterator` | `getModules()`
`java.lang.String` | `getSmallIcon()`
`void` | `importXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### J2eeApplicationMetaData

    public J2eeApplicationMetaData(org.w3c.dom.Element rootElement)
                            throws DeploymentException

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

### getDescription

    public java.lang.String getDescription()

### getSmallIcon

    public java.lang.String getSmallIcon()

### getLargeIcon

    public java.lang.String getLargeIcon()

### getModules

    public java.util.Iterator getModules()

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.